package il.ac.tau.cs.sw1.io;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.Reader;
import java.io.Writer;

public class Copy {

	
	
	
	public static void copy() throws IOException {
		Reader in = new InputStreamReader(System.in);
		Writer out = new OutputStreamWriter(System.out);

		int c;
		while ((c = in.read()) != -1) {
			out.write(c);
			out.flush();
		}
		in.close();
		out.close();
	}

	
	
	
	
	
	
	
	public static void copy(String src, String dst) throws IOException {
		Reader in = new FileReader(src);
		Writer out = new FileWriter(dst);
		
		int c;
		while ((c = in.read()) != -1) {
			out.write(c);
			out.flush();
		}
		in.close();
		out.close();
	}

	public static void main(String[] args) throws IOException {
		if (args.length == 0) {
			copy();
		} else if (args.length == 2) {
			copy(args[0], args[1]);
		}
	}

}
